# Created by pyp2rpm-3.3.2
%global pypi_name doc8

%bcond_without docs
%bcond_without check

Name:           python-%{pypi_name}
Version:        1.1.1
Release:        %mkrel 1
Summary:        Style checker for Sphinx (or other) RST documentation
Group:          Development/Python
License:        ASL 2.0
URL:            https://launchpad.net/doc8
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

%description
Doc8 is an opinionated style checker for rst (with basic support for plain
text) styles of documentation.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
Obsoletes:      python-doc8-doc < 1.1.1

%description -n python3-%{pypi_name}
Doc8 is an opinionated style checker for rst (with basic support for plain
text) styles of documentation.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires %{?with_docs:doc/requirements.txt} %{?with_check:test-requirements.txt}

%build
%pyproject_wheel

%if %{with_docs}
# generate html docs
PYTHONPATH=${PWD} sphinx-build doc/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%if %{with_check}
%check
%pytest
%endif


%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
%if %{with docs}
%doc html
%endif
%{_bindir}/doc8


%changelog
* Mon Dec 18 2023 wally <wally> 1.1.1-1.mga10
+ Revision: 2018906
- new version 1.1.1
- drop separate doc pkg
- use %%pyproject_buildrequires

* Tue Jun 14 2022 papoteur <papoteur> 0.11.2-1.mga9
+ Revision: 1864394
- new 0.11.2
  Build with pyproject
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Sat Jun 26 2021 wally <wally> 0.8.0-6.mga9
+ Revision: 1732613
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.8.0-5.mga8
+ Revision: 1535467
- Mageia 8 Mass Rebuild

* Fri Oct 11 2019 tv <tv> 0.8.0-4.mga8
+ Revision: 1451630
- rebuild for python-3.8
- drop python2 subpkg

* Sun Aug 18 2019 wally <wally> 0.8.0-3.mga8
+ Revision: 1429723
- update BRs
- drop python2 tests

* Wed Jan 09 2019 kekepower <kekepower> 0.8.0-2.mga7
+ Revision: 1353273
- Enable docs and checks

* Wed Jan 09 2019 kekepower <kekepower> 0.8.0-1.mga7
+ Revision: 1353239
- Bootstrap build without checks
- Refined the description
- Disable docs for now
- Add patch to fix build deps versions
- BR python2-enum34
- Remove versioned deps
- Remove deps on itself
- imported package python-doc8
+ tv <tv>
- oslosphinx is actually needed for %%check even w/o docs
- sphinx is actually needed even w/o docs

